package libpam-modules 1.1.8-3.1ubuntu3.1 failed to install/upgrade: trying to overwrite shared '/usr/share/man/man8/pam_unix.8.gz', which is different from other instances of package libpam-modules:i386

Bug #1558114 reported by matt davis on 2016-03-16
84
This bug affects 15 people
Affects Status Importance Assigned to Milestone
pam (Ubuntu)
Critical
Marc Deslauriers
Precise
Critical
Marc Deslauriers
Trusty
Critical
Marc Deslauriers
Wily
Critical
Marc Deslauriers
Xenial
Critical
Marc Deslauriers

Bug Description

E: /var/cache/apt/archives/libpam-modules_1.1.8-3.1ubuntu3.1_i386.deb: trying to overwrite shared '/usr/share/man/man8/pam_unix.8.gz', which is different from other instances of package libpam-modules:i386

ProblemType: Package
DistroRelease: Ubuntu 15.10
Package: libpam-modules 1.1.8-3.1ubuntu3.1
ProcVersionSignature: Ubuntu 4.2.0-34.39-generic 4.2.8-ckt4
Uname: Linux 4.2.0-34-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
Date: Wed Mar 16 10:47:24 2016
DuplicateSignature: package:libpam-modules:1.1.8-3.1ubuntu3.1:trying to overwrite shared '/usr/share/man/man8/pam_unix.8.gz', which is different from other instances of package libpam-modules:i386
ErrorMessage: trying to overwrite shared '/usr/share/man/man8/pam_unix.8.gz', which is different from other instances of package libpam-modules:i386
InstallationDate: Installed on 2013-03-15 (1097 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130314)
RelatedPackageVersions:
 dpkg 1.18.2ubuntu5.1
 apt 1.0.10.2ubuntu1
SourcePackage: pam
Title: package libpam-modules 1.1.8-3.1ubuntu3.1 failed to install/upgrade: trying to overwrite shared '/usr/share/man/man8/pam_unix.8.gz', which is different from other instances of package libpam-modules:i386
UpgradeStatus: Upgraded to wily on 2015-10-23 (145 days ago)

Related branches

CVE References

matt davis (mtthwldvs) wrote :
tags: removed: need-duplicate-check
matt davis (mtthwldvs) wrote :

The following packages have unmet dependencies:
 libpam-modules : Recommends: update-motd but it is not installed
                  Breaks: libpam-modules:i386 (!= 1.1.8-3.1ubuntu3.1) but 1.1.8-3.1ubuntu3 is installed
 libpam-modules:i386 : PreDepends: libpam-modules-bin:i386 (= 1.1.8-3.1ubuntu3)
                       Recommends: update-motd:i386 but it is not installable
                       Breaks: libpam-modules (!= 1.1.8-3.1ubuntu3) but 1.1.8-3.1ubuntu3.1 is installed

Steve Langasek (vorlon) wrote :

Confirmed; this seems to be a regression in multiarch compatibility introduced by this latest security update. This needs to be addressed by including the manpage in the cve diff, along with the changes to modules/pam_unix/pam_unix.8.xml, so that the file is not regenerated (differently) at build time.

Changed in pam (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)
importance: Undecided → Critical
status: New → Triaged
tags: added: regression-update
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pam (Ubuntu Wily):
status: New → Confirmed
Steve Langasek (vorlon) wrote :

/usr/share/man/man8/pam_exec.8.gz is also affected.

Changed in pam (Ubuntu Trusty):
status: New → Triaged
Changed in pam (Ubuntu Wily):
status: Confirmed → Triaged
importance: Undecided → Critical
Changed in pam (Ubuntu Trusty):
importance: Undecided → Critical
Steve Langasek (vorlon) wrote :

As a workaround, a user hitting this issue can run:
  sudo rm -f /usr/share/man/man8/pam_exec.8.gz /usr/share/man/man8/pam_unix.8.gz && sudo apt-get -f install

Changed in pam (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in pam (Ubuntu Trusty):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in pam (Ubuntu Wily):
assignee: nobody → Marc Deslauriers (mdeslaur)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 1.1.3-7ubuntu2.2

---------------
pam (1.1.3-7ubuntu2.2) precise-security; urgency=medium

  * SECURITY REGRESSION: multiarch update issue (LP: #1558114)
    - debian/patches-applied/cve-2015-3238.patch: removed manpage changes
      so they don't get regenerated during build.
    - CVE-2015-3238

 -- Marc Deslauriers <email address hidden> Wed, 16 Mar 2016 13:32:15 -0400

Changed in pam (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 1.1.8-1ubuntu2.2

---------------
pam (1.1.8-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY REGRESSION: multiarch update issue (LP: #1558114)
    - debian/patches-applied/cve-2015-3238.patch: removed manpage changes
      so they don't get regenerated during build.
    - CVE-2015-3238

 -- Marc Deslauriers <email address hidden> Wed, 16 Mar 2016 13:30:15 -0400

Changed in pam (Ubuntu Trusty):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 1.1.8-3.1ubuntu3.2

---------------
pam (1.1.8-3.1ubuntu3.2) wily-security; urgency=medium

  * SECURITY REGRESSION: multiarch update issue (LP: #1558114)
    - debian/patches-applied/cve-2015-3238.patch: removed manpage changes
      so they don't get regenerated during build.
    - CVE-2015-3238

 -- Marc Deslauriers <email address hidden> Wed, 16 Mar 2016 13:27:40 -0400

Changed in pam (Ubuntu Wily):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

According to bug #1558597, the precise version is still buggy.

Changed in pam (Ubuntu Precise):
status: Fix Released → Triaged
Changed in pam (Ubuntu Precise):
status: Triaged → Fix Released
status: Fix Released → Triaged
Tyler Hicks (tyhicks) wrote :

I've fixed the issue in Precise using bug #1558597 to track it.

Changed in pam (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 1.1.8-3.2ubuntu2

---------------
pam (1.1.8-3.2ubuntu2) xenial; urgency=medium

  * debian/patches-applied/cve-2015-3238.patch: removed manpage changes
    so they don't get regenerated during build and cause a multiarch
    installation issue. (LP: #1558114)

 -- Marc Deslauriers <email address hidden> Wed, 16 Mar 2016 13:34:02 -0400

Changed in pam (Ubuntu Xenial):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers